package sun.security.tools.policytool;

import javax.swing.JTextField;
import javax.swing.JComboBox;
import java.awt.event.ItemEvent;
import java.awt.event.ItemListener;

class PermissionMenuListener implements ItemListener
{
    private ToolDialog td;
    
    PermissionMenuListener(ToolDialog td) {
        this.td = td;
    }
    
    @Override
    public void itemStateChanged(ItemEvent itemEvent) {
        if (itemEvent.getStateChange() == 2) {
            return;
        }
        JComboBox<Object> comboBox = (JComboBox)this.td.getComponent(1);
        JComboBox<Object> comboBox2 = (JComboBox)this.td.getComponent(3);
        JComboBox<Object> comboBox3 = (JComboBox)this.td.getComponent(5);
        JTextField textField = (JTextField)this.td.getComponent(4);
        JTextField textField2 = (JTextField)this.td.getComponent(6);
        JTextField textField3 = (JTextField)this.td.getComponent(2);
        JTextField textField4 = (JTextField)this.td.getComponent(8);
        comboBox.getAccessibleContext().setAccessibleName(PolicyTool.splitToWords((String)itemEvent.getItem()));
        if (PolicyTool.collator.compare((String)itemEvent.getItem(), ToolDialog.PERM) == 0) {
            if (textField3.getText() != null && textField3.getText().length() > 0) {
                Perm perm2 = ToolDialog.getPerm(textField3.getText(), true);
                if (perm2 != null) {
                    comboBox.setSelectedItem(perm2.CLASS);
                }
            }
            return;
        }
        else {
            if (textField3.getText().indexOf((String)itemEvent.getItem()) == -1) {
                textField.setText("");
                textField2.setText("");
                textField4.setText("");
            }
            Perm perm = ToolDialog.getPerm((String)itemEvent.getItem(), false);
            if (perm == null) {
                textField3.setText("");
            }
            else {
                textField3.setText(perm.FULL_CLASS);
            }
            this.td.setPermissionNames(perm, comboBox2, textField);
            this.td.setPermissionActions(perm, comboBox3, textField2);
            return;
        }
    }
}
